wxWidgets: wxPageSetupDialog Class Reference

| Version: 3.2.7

Public Member Functions | List of all members
wxPageSetupDialog Class Reference
Class List by Category » Printing Framework

`#include <wx/printdlg.h>`

Inheritance diagram for wxPageSetupDialog:
[legend]

## Detailed Description

This class represents the page setup common dialog.

The page setup dialog contains controls for paper size (letter, A4, A5 etc.), orientation (landscape or portrait), and, only under Windows currently, controls for setting left, top, right and bottom margin sizes in millimetres.

The exact appearance of this dialog varies among the platforms as a native dialog is used when available (currently the case for all major platforms).

When the dialog has been closed, you need to query the wxPageSetupDialogData object associated with the dialog.

Note that the OK and Cancel buttons do not destroy the dialog; this must be done by the application.

##

Library: wxCore
Category: Printing Framework

See also
  Printing Framework Overview, wxPrintDialog, wxPageSetupDialogData

## Public Member Functions
| wxPageSetupDialog (wxWindow *parent, wxPageSetupDialogData *data=NULL)
| Constructor. More...
virtual | ~wxPageSetupDialog ()
| Destructor. More...
wxPageSetupDialogData & | GetPageSetupData ()
| Returns the wxPageSetupDialogData object associated with the dialog. More...
int | ShowModal ()
| Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxPageSetupDialog()

wxPageSetupDialog::wxPageSetupDialog | ( | wxWindow * | parent,
|  | wxPageSetupDialogData * | data = `NULL`
| ) |  |

Constructor.

Pass a parent window, and optionally a pointer to a block of page setup data, which will be copied to the print dialog's internal data.

## ◆ ~wxPageSetupDialog()

virtual wxPageSetupDialog::~wxPageSetupDialog | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ GetPageSetupData()

wxPageSetupDialogData& wxPageSetupDialog::GetPageSetupData | ( |  | ) |

Returns the wxPageSetupDialogData object associated with the dialog.

## ◆ ShowModal()

int wxPageSetupDialog::ShowModal | ( |  | ) |

Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.